List Projects (V2)
List all projects scoped to API-Key.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Use application/json.
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/projects" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Return a list of projects in detail.
One variant of the successful response body, given as an object.
Response code.
Response payload, which is a list of projects in detail.
List of projects in detail.
Name of a project.
ID of a project.
Description of the project.
User who created the project.
Number of clusters in the projects.
Number of serving instances in the project.
Number of query clusters in the project.
Time at which the project is created.
The subscription plan of the current project. Possible values are Standard, Enterprise, or BusinessCritical.
Region IDs of a project.
A region ID. You can use the List regions to list applicable region IDs.
The type of the organization. Possible values are SAAS or BYOC.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": [
{
"projectName": "Default Project",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxxx",
"regionIds": [
"aws-us-east-1"
],
"instanceCount": 2,
"createTime": "2023-08-16T07:34:06Z",
"plan": "Enterprise",
"orgType": "SAAS",
"description": "A project for organizing clusters and resources."
}
]
}